Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr
Class TextExtractors

    java.lang.Object
      org.modeshape.jcr.api.text.TextExtractor
          org.modeshape.jcr.TextExtractors

    @Immutable
    public final class TextExtractors

extends TextExtractor

Facility for managing `TextExtractor` instances.

Nested Class Summary

Nested classes/interfaces inherited from class org.modeshape.jcr.api.text.TextExtractor
`TextExtractor.Context`

Field Summary
`static String` | `DEFAULT_MIME_TYPE`

Constructor Summary
`TextExtractors(JcrRepository.RunningState repository, Collection<RepositoryConfiguration.Component> components)`

Method Summary
`void` | `extractFrom(InputStream stream, TextExtractorOutput output, TextExtractor.Context context)` Sequence the data found in the supplied stream, placing the output information into the supplied map.
`int` | `size()` Get the number of text extractors.
`boolean` | `supportsMimeType(String mimeType)` Determine if this extractor is capable of processing content with the supplied MIME type.

Methods inherited from class org.modeshape.jcr.api.text.TextExtractor
`getLogger, setLogger`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_MIME_TYPE

    public static final String DEFAULT_MIME_TYPE

See Also:
  Constant Field Values

Constructor Detail

### TextExtractors

    public TextExtractors(JcrRepository.RunningState repository,
                          Collection<RepositoryConfiguration.Component> components)

Method Detail

### size

    public int size()

  Get the number of text extractors.

  Returns:
    the number of text extractors; may be 0 or greater

### supportsMimeType

    public boolean supportsMimeType(String mimeType)

  Description copied from class: `TextExtractor`
  Determine if this extractor is capable of processing content with the supplied MIME type.

  Specified by:
    `supportsMimeType` in class `TextExtractor`
  Parameters:
    `mimeType` - the MIME type; never null
  Returns:
    true if this extractor can process content with the supplied MIME type, or false otherwise.

### extractFrom

    public void extractFrom(InputStream stream,
                            TextExtractorOutput output,
                            TextExtractor.Context context)
                     throws IOException

  Description copied from class: `TextExtractor`
  Sequence the data found in the supplied stream, placing the output information into the supplied map.

  ModeShape's SequencingService determines the sequencers that should be executed by monitoring the changes to one or more workspaces that it is monitoring. Changes in those workspaces are aggregated and used to determine which sequencers should be called. If the sequencer implements this interface, then this method is called with the property that is to be sequenced along with the interface used to register the output. The framework takes care of all the rest.

  Specified by:
    `extractFrom` in class `TextExtractor`
  Parameters:
    `stream` - the stream with the data to be sequenced; never `null`
    `output` - the output from the sequencing operation; never `null`
    `context` - the context for the sequencing operation; never `null`
  Throws:
    `IOException` - if there is a problem reading the stream

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.